Draft Dimension

From FreeCAD Documentation
Revision as of 21:10, 27 January 2014 by Renatorivo (talk | contribs) (Created page with "==Opciones== * Presiona {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} después de un punto para restringir el punto siguiente sobre el eje indicado. * Para introducir coordenadas manualme...")

Draft Dimension

Ubicación en el Menú
Croquis -> Cotas
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
D I
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta cotas crea una cota en el documento actual con dos puntos definiendo la distancia a medir, y un tercer punto especificando por donde pasa la línea de cota.

Utilización

  1. Presiona el botón cota, o presiona las teclas D y I
  2. Designa un punto en la vista 3D, o escribe unas coordenadas
  3. Designa un segundo punto en la vista 3D, o escribe unas coordenadas
  4. Designa un tercer punto en la vista 3D, o escribe unas coordenadas

Tipos de cotas disponibles

  • Cotas lineales: seleccionando dos puntos o un segmento recto con la tecla ALT presionada.
  • Cotas Horizontales/verticales: presionando SHIFT después de seleccionar el primer punto.
  • Cota de Diámetro: seleccionando un segmento curvo con la tecla ALT presionada.
  • Cota de Radio: seleccionando un segmento curvo con la tecla ALT presionada, y pulsando después SHIFT.
  • Cotas Angulares: seleccionando dos segmentos rectos con la tecla ALT presionada.

Opciones

  • Presiona X, Y o Z después de un punto para restringir el punto siguiente sobre el eje indicado.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presionando SHIFT se realizará una restricción de la cota horizontal o verticalmente, o, cuando se trabaja con un segmento circular, conmuta entre los modos de radio y diámetro.
  • Presiona R o selecciona la casilla para activar/desactivar el botón Relativas. Si el modo relativas está activada, las coordenadas del siguiente punto son relativas al anterior. Si no, son absolutas, tomadas desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, podrás dibujar cotas continuas, una tras otra, que comparten la misma línea base.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.
  • Seleccionando una arista existente con ALT, en lugar de introducir puntos de medición, la cota se convertirá en paramétrica y recordará a que arista está vinculada. Si los puntos finales de la arista se mueven posteriormente, la cota los seguirá.

Properties

  • DatosStart: The start point of the distance to measure
  • DatosEnd: The end point of the distance to measure
  • DatosDimline: A point through which the dimension line must pass
  • VistaDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VistaFont Size: The size of the letters
  • VistaExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VistaText Position: Can be used to force the text to be displayed at a certain position
  • VistaOverride: Specifies a text to display instead of the measurement. Use the word "dim", inside that text, to display the measurement
  • VistaFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Dimension tool can by used in macros and from the python console by using the following functions:

 '''makeDimension (p1,p2,[p3])''' or '''makeDimension (object,i1,i2,p3)''' or '''makeDimension (objlist,indices,p3)'''
  • Creates a Dimension object with the dimension line passign through p3.
  • The Dimension object takes the Draft linewidth and color set in the command bar.
  • There are multiple ways to create a dimension, depending on the arguments you pass to it:
  1. (p1,p2,p3): creates a standard dimension from p1 to p2.
  2. (object,i1,i2,p3): creates a linked dimension to the given object, measuring the distance between its vertices indexed i1 and i2.
  3. (object,i1,mode,p3): creates a linked dimension to the given object, i1 is the index of the (curved) edge to measure, and mode is either "radius" or "diameter". Returns the newly created object.
 '''makeAngularDimension (center,[angle1,angle2],p3)'''
  • creates an angular Dimension from the given center, with the given list of angles, passing through p3.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 p1 = FreeCAD.Vector(0,0,0)
 p2 = FreeCAD.Vector(1,1,0)
 p3 = FreeCAD.Vector(2,0,0)
 Draft.makeDimension(p1,p2,p3)

Links

Tutorial Projecting dimensions on a Drawing Page